#!/usr/bin/perl -pi.bak

use strict;
use experimental 'smartmatch';

our %used;
our @lst = qw(D4 D5 E0 E1 E2 E3 CB);

my ($sn, $ssz, $sz, $id) = (m/^\s+(\d+) \* (\d+)	 00 01 (\w{2}) 01 (\w{2})/);
next unless $sn;
next if $sz eq '01';

print next if $id ~~ @lst;
print next if $used{$id};
$used{$id}++;
	
my $nsz = sprintf("%02X", hex($sz) + 1);
print "\t//$sn: id $id pr $sz (to $nsz)\n";
s/^(\s+(\d+) \* (\d+)	 00 01) \w{2} 01 \w{2}/$1 $nsz 01 $id 05 01/;
